> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-versions.md).

# Unreal Engine 版本

Convai Unreal Engine 插件版本支持参考，包括按 UE 版本的模块可用性、加载阶段以及每个版本的设置说明。

Convai Unreal Engine 插件 <code class="expression">space.vars.unreal\_plugin\_version</code> 支持 Unreal Engine <code class="expression">space.vars.unreal\_min\_version</code> 通过 UE <code class="expression">space.vars.unreal\_max\_version</code>。插件清单声明了五个模块：运行时、编辑器、动画图、视觉和工具集。该 `ConvaiEditor` 窗口在 UE 5.0 和 5.1 上会自动禁用；在 UE 5.2 及更高版本上可用。UE 5.8 支持随 `4.0.0-beta.23` 以及 `ConvaiToolset` 模块于 `4.0.0-beta.24`；此后的每个版本都会在 UE 5.6、5.7 和 5.8 上进行冒烟测试。

### 支持的版本

| UE 版本   | 运行时（`Convai`) | `ConvaiEditor` | `ConvaiAnimGraph` | `ConvaiVisionBase` | `ConvaiToolset`          |
| ------- | ------------- | -------------- | ----------------- | ------------------ | ------------------------ |
| 5.0     | 受支持           | 窗口不可用          | 受支持               | 受支持                | 不可用                      |
| 5.1     | 受支持           | 窗口不可用          | 受支持               | 受支持                | 不可用                      |
| 5.2–5.7 | 受支持           | 受支持            | 受支持               | 受支持                | 加载时不提供 AI 可调用操作或 MCP 工具  |
| 5.8     | 受支持           | 受支持            | 受支持               | 受支持                | 受支持，并启用 AI 可调用操作和 MCP 工具 |

UE <code class="expression">space.vars.unreal\_max\_version</code> 是该插件当前支持的最高引擎版本。 `ConvaiToolset` 以及其所支持的 MCP 工具仅在 UE 5.8 及更高版本上启用；在 UE 5.0 到 5.7 上，该模块仍会加载，但不提供任何这些功能。

{% hint style="info" %}
该 `ConvaiEditor` 窗口需要 UE 5.2 或更高版本。在 UE 5.0 和 5.1 上，编辑器模块会记录 `ConvaiEditor: 编辑器 UI 已禁用 - 需要 UE 5.2 或更高版本` 并在启动时退出窗口设置流程。
{% endhint %}

### 模块加载阶段

该插件声明了五个模块。它们的加载阶段决定了它们在编辑器或游戏启动序列中何时激活。

| 模块                 | 类型             | 加载阶段             |
| ------------------ | -------------- | ---------------- |
| `Convai`           | `运行时`          | `PreDefault`     |
| `ConvaiEditor`     | `编辑器`          | `PostEngineInit` |
| `ConvaiAnimGraph`  | `UncookedOnly` | `默认`             |
| `ConvaiVisionBase` | `运行时`          | `默认`             |
| `ConvaiToolset`    | `编辑器`          | `PostEngineInit` |

`ConvaiAnimGraph` 是 `UncookedOnly`，这意味着它可用于编辑器期间的动画图工作，但在打包构建中不应视为运行时模块代码。 `ConvaiToolset` 仅为 Editor 目标构建；在任何引擎版本的打包构建中都不会存在。

### 版本特定说明

#### UE 5.0 和 5.1

该 `ConvaiEditor` 这些版本不提供窗口。请使用基于蓝图的运行时设置和项目设置配置，而不是编辑器内的 Convai 窗口。

#### UE 5.8

Convai Toolset 的 AI 可调用编辑器操作和 MCP 支持需要 UE 5.8。在较早的受支持版本（5.2 到 5.7）上， `ConvaiToolset` 模块仍会加载，但引擎的 `ToolsetRegistry` 插件以及工具集所依赖的反射类型在 5.8 以下不存在，因此没有 AI 可调用操作或 MCP 工具可用。

### 下一步

确认引擎版本后，请检查该插件支持哪些构建平台。

{% content-ref url="/pages/79f6f23bac71c8822aa787c002f3f94e5f1a95ee" %}
[Unreal Engine 平台支持矩阵](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-platform-support-matrix.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/unreal-engine-versions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
